Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto
Interface AsyncXMLStreamReader

All Superinterfaces:
  org.codehaus.stax2.typed.TypedXMLStreamReader, org.codehaus.stax2.validation.Validatable, XMLStreamConstants, XMLStreamReader, org.codehaus.stax2.XMLStreamReader2

All Known Implementing Classes:
  AsyncStreamReaderImpl

    public interface AsyncXMLStreamReader

extends org.codehaus.stax2.XMLStreamReader2

Extension of `XMLStreamReader2` used by non-blocking ("async") stream readers. The main difference is addition of a token (`EVENT_INCOMPLETE`) to indicate that there is not yet enough content to parse to tokenize next event; and method to access `AsyncInputFeeder` that is used to provide input data in non-blocking manner.

Field Summary
`static int` | `EVENT_INCOMPLETE` As per javadocs of `XMLStreamConstants`, event codes 0 through 256 (inclusive?) are reserved by the Stax specs, so we'll use the next available code.

Fields inherited from interface org.codehaus.stax2.XMLStreamReader2
`FEATURE_DTD_OVERRIDE`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`AsyncInputFeeder` | `getInputFeeder()` Method used to access `AsyncInputFeeder` which is used to provide XML content to parse in non-blocking manner (see `AsyncInputFeeder` for more details).

Methods inherited from interface org.codehaus.stax2.XMLStreamReader2
`closeCompletely, getAttributeInfo, getDepth, getDTDInfo, getFeature, getLocationInfo, getNonTransientNamespaceContext, getPrefixedName, getText, isEmptyElement, isPropertySupported, setFeature, setProperty, skipElement`

Methods inherited from interface org.codehaus.stax2.typed.TypedXMLStreamReader
`getAttributeAs, getAttributeAsArray, getAttributeAsBinary, getAttributeAsBinary, getAttributeAsBoolean, getAttributeAsDecimal, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsInteger, getAttributeAsLong, getAttributeAsLongArray, getAttributeAsQName, getAttributeIndex, getElementAs, getElementAsBinary, getElementAsBinary, getElementAsBoolean, getElementAsDecimal, getElementAsDouble, getElementAsFloat, getElementAsInt, getElementAsInteger, getElementAsLong, getElementAsQName, readElementAsArray, readElementAsBinary, readElementAsBinary, readElementAsDoubleArray, readElementAsFloatArray, readElementAsIntArray, readElementAsLongArray`

Methods inherited from interface javax.xml.stream.XMLStreamReader
`close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

Methods inherited from interface org.codehaus.stax2.validation.Validatable
`setValidationProblemHandler, stopValidatingAgainst, stopValidatingAgainst, validateAgainst`

Field Detail

### EVENT_INCOMPLETE

    static final int EVENT_INCOMPLETE

  As per javadocs of `XMLStreamConstants`, event codes 0 through 256 (inclusive?) are reserved by the Stax specs, so we'll use the next available code.

  See Also:
    Constant Field Values

Method Detail

### getInputFeeder

    AsyncInputFeeder getInputFeeder()

  Method used to access `AsyncInputFeeder` which is used to provide XML content to parse in non-blocking manner (see `AsyncInputFeeder` for more details).

  Returns:
    Input feeder to use for "pushing" content to parse.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Fasterxml.com. All Rights Reserved.